%global sgmldoc   %{_datadir}/sgml/docbook
%global docurl    http://cdn.docbook.org/release/xsl-nons
%global forgeurl  http://docbook.sourceforge.net/release/xsl/current
%global fileurl   file://%{sgmldoc}/xsl-stylesheets-%{version}

Summary:          Norman Walsh's XSL stylesheets for DocBook XML
Name:             docbook-style-xsl
Version:          1.79.2
Release:          6%{?dist}
License:          DMIT
URL:              https://github.com/docbook/xslt10-stylesheets
Source1:          %{name}.Makefile
Source0:          %{url}/download/release%2F{%version}/docbook-xsl-nons-%{version}.tar.bz2
Source2:          %{url}/download/release%2F{%version}/docbook-xsl-doc-%{version}.tar.bz2

Patch3001:        docbook-xsl-pagesetup.patch
Patch3002:        docbook-xsl-marginleft.patch
Patch3003:        docbook-xsl-newmethods.patch
Patch3004:        docbook-xsl-non-constant-expressions.patch
Patch3005:        docbook-xsl-list-item-body.patch
Patch3006:        docbook-xsl-mandir.patch
Patch3007:        docbook-style-xsl-non-recursive-string-subst.patch
Patch3008:        docbook-style-xsl-1.79.2-fix-gtk-doc-multilib.patch

BuildRequires:    make
Requires:         docbook-dtd-xml
Requires:         xml-common
Requires(post):   libxml2
Requires(postun): libxml2
Provides:         docbook-xsl = %{version}

BuildArch: noarch

%description
This package provides XSL stylesheets which allow you to transform any DocBook
XML document to other formats, such as HTML, FO, and XHMTL.  They are highly customizable.

%prep
%setup -c -T -n docbook-xsl-%{version}
tar jxf %{SOURCE0}
mv docbook-xsl-nons-%{version}/* .
pushd ..
tar jxf %{SOURCE2}
popd
%autopatch -p1 -m 3001 -M 3006
%patch3007 -p2
%patch3008 -p1

cp -p %{SOURCE1} Makefile

for fhtml in $(find ./doc -name '*.html' -type f)
do
  iconv -f ISO-8859-1 -t UTF-8 "$fhtml" -o "$fhtml".tmp
  mv -f "$fhtml".tmp "$fhtml"
  sed -i 's/charset=ISO-8859-1/charset=UTF-8/' "$fhtml"
done

for f in $(find -name "*'*")
do
  mv -v "$f" $(echo "$f" | tr -d "'")
done

%build

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot}
make install BINDIR=%{buildroot}%{_bindir} DESTDIR=%{buildroot}%{sgmldoc}/xsl-stylesheets-%{version}
cp -a VERSION.xsl %{buildroot}%{sgmldoc}/xsl-stylesheets-%{version}/VERSION.xsl
ln -s xsl-stylesheets-%{version} \
	%{buildroot}%{sgmldoc}/xsl-stylesheets

rm -rf %{buildroot}%{sgmldoc}/xsl-stylesheets/extensions/*

%post
CATALOG=%{_sysconfdir}/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" "%{docurl}/%{version}" "%{fileurl}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" "%{docurl}/%{version}" "%{fileurl}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" "%{docurl}/current/" "%{fileurl}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" "%{docurl}/current/" "%{fileurl}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" "%{forgeurl}" "%{fileurl}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" "%{forgeurl}" "%{fileurl}" $CATALOG

%postun
if [ "$1" = 0 ]; then
  CATALOG=%{_sysconfdir}/xml/catalog
  %{_bindir}/xmlcatalog --noout --del "%{fileurl}" $CATALOG
fi

%files
%doc BUGS README TODO doc
%{sgmldoc}/xsl-stylesheets-%{version}
%{sgmldoc}/xsl-stylesheets


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Shuo Wang <abushwang@tencent.com> - 1.79.2-1
- initial build
